Jump to content

tele

Użytkownicy
  • Content Count

    150
  • Joined

  • Last visited

  • Days Won

    3

Everything posted by tele

  1. tele

    Dziwne Zachowanie Fedory

    - Czy korzystales z jakiegos poradnika , dokumentacji, jesli tak to jakiej? - /var/log/Xorg.0.log chcialbym zobaczyc (uzyj tagu http://pl.wikipedia.org/wiki/BBCode ) lub wklej na jakies paste.org i daj tu linka. - Ludzie unikaja v-sync w sterownikach , czemu Ci na tym zalezy?
  2. tele

    Czy Instalowac ? Pare Pytan

    Na nvidii jest podobnie, tyle ze otwarte tam nazywaja sie nouveau. Nie demonizujecie troche? Mozecie napisac konkretniej w na czym polega problem ze sterownikami? Moze chodzi oto ze na nvidi jest dluzsze wsparcie ? Moze chodzi oto ze open source sterownikow ( aktualizowane przez spolecznosc ) na ta chwile nie daje tak oczekiwanych aktualizacji, jak przez producenta? Moze chodzi oto ze firma AMD nie nadaza aktualizowac swoich sterownikow Catalyst ? ( tutaj najwiecej chyba mozna znalesc poblemow w google pod Ubuntu, ale nie zdziwilbym gdyby takze "nowe pomysly " w ubuntu sie do tego przyczynily )
  3. tele

    Czy Instalowac ? Pare Pytan

    Na pocieszenie moge napisac ze otwarte sterowniki sa coraz lepsze , wiec brak Catalyst czasami mozna przebolec. http://www.dobreprogramy.pl/Linux-3.15-szybsze-usypianie-i-budzenie-lepsze-sterowniki-i-poczatek-niezaleznosci-od-kompilatora-GCC,News,55168.html http://www.netext73.pl/2014/02/widac-ze-otwarte-sterowniki-amd-radeon.html Niestety jeszcze jak w bajce nie jest. Zakladam ze wydajnosc otwartych sterownikow jest lepsza tylko dla niektorych kart, a w przypadku bardzo starych kart, ta wydajnosc moze nawet malec (np. celowo by dodac cos nowszym kartom), co juz mialem okazje sie przekonac. No i ze wsparciem roznie bywa.
  4. tele

    Czy Instalowac ? Pare Pytan

    Odnosnie sterownikow. To zalezy, catalyst wspiera jakies tam karty tylko , jesli jest w srod nich twoja to na pewno AMD pomoze Ci je zainstalowac, jezeli masz starsza karte to musisz korzystac z otwartych sterownikow. Kernel, Xorg, Sterowniki graficzne sa w pewien sposob ze soba powiazane, kazdy update powoduje kompatybilnosc z nowszymi kartami graficznymi, nowszym kernelem i xorg, a starsze modele trafiaja do otwartych sterownikow. Dokumentacja wiki Debiana jest dosc obszerna na ten temat, moze byc czasem pomocna rowniez na Fedorze. A co do Suse jesli twoja karta graficzna bylaby przez najnowszy catalyst wspierana, to na 99% powinna dzialac, zwlaszcza ze masz juz tam swietnie przygotowane paczki. ( http://wiki.suse.pl/wiki/index.php/Instalacja_sterownik%C3%B3w_do_kart_graficznych_ATI ) Jakie wersje Catalyst jakich wersji zaleznosci dokladnie wymaga sprawdzisz np. pod tym linkiem http://wiki.cchtml.com/index.php/Category:Releases Wspierane karty mozesz zerknac np. tu http://wiki.cchtml.com/index.php/Hardware I z tego co pamietam Catalyst na Linuxie wspieral tylko karty zaczynajac od HD i to nie wszystkich. I jeszcze cos, piszesz strasznie ogolnie, ze masz problemy, a nie napisales jak to robiles, nie napisales jaki masz sprzet, oraz jakie bledy napotkales, czesto ludzie chca pomoc, ale nie sa alfa i omega. Wiec jesli chcesz drazyc temat to zacznij od podania sprzetu, ewentualnie jak robisz i jakie bledy masz. Jak nie powiesz jaki masz sprzet, to nikt nie bedzie wiedzial czy ma podobny i nie powie Ci jak wygladala u niego przygoda z Catalyst.
  5. tele

    Czy Instalowac ? Pare Pytan

    zeby dzialalo mi fl studio, Asio,gra eve online fl jest chyba na windowsa, reszta zgaduje ze tez , tutaj powinienes sam sie pomeczyc z wine, czy PlayOnLinux czytajac poradniki i szukajac rozwiazan w google jesli spotkasz bledy jak uruchomisz dany program w terminalu. Pierwsze gdzie, to szukaj pomocy na wiki http://www.winehq.org/ masz tam opisana kompatybilnosc jaki poziom udalo sie uzyskac dla danego programu, oraz czasem jak to uzyskac by aplikacja dzialala, jak nie dziala, to nastepnego szukasz poradnika w google. Przyklad - jeden z kilku wynikow wyszukania https://appdb.winehq.org/objectManager.php?sClass=application&iId=178 Sterowniki. Ja szukalem w google poradnikow, widze ze nikt paczek dla AMD nie robil, ale jeszcze zerkne w google znalazlem jakies poradniki https://www.google.pl/search?q=amd+catalyst+fedora+wiki&ie=utf-8&oe=utf-8&aq=t&rls=org.mozilla:en-US:official&client=firefox-a&channel=sb&gfe_rd=cr&ei=YknFU9DMAqOI8QeF14HwDQ#channel=sb&q=fedora+20+amd+catalyst+fedora+wiki&rls=org.mozilla:en-US:official translator jak cos https://translate.google.pl/ - no nie znalazlem pakietu, czyli czekalaby Cie reczna instalacja pakietu ze strony AMD, ale kiedyś chyba pakiet AMD mial takze instalator, wiec moze tak zle nie bedzie. Sterownik oczywiscie szukasz na stronie http://support.amd.com/en-us/download lub http://www.amd.com/pl-pl
  6. - To moze skorzystac z klawiatury ekranowej ? Konkretow to nie znam, trza poszukac i przetestowac, sa programy np. kvkbd i sa tez np. wtyczki do firefoxa, ale nie wszystkie posiadaja polska klawiature. Edytowane Chcialem jeszcze dodac ze kazde srodowisko ma jakos to rozwiazane poprzez mozliwosc wlaczenia klawiatury ekranowej, lub aktywowania wtyczki do paska menu ktora wyswietla okreslone znaki i mozna z niej sobie kopiowac. - Ewentualnie mozesz kopiowac polskie znaki i nie tylko z przegladarki, czy z notatnika ze znakami.
  7. Przelczyc sie na chwile na polska klawiature ? setxkbmap pl ??
  8. To nie qca2 pomaga, a qca-ossl ( ja korzystałem z yum_Extender ) Wydaje mi sie ze qca2 jest nowsza wersją qca, ale z jakiegoś powodu kadu nie potrafi znaleść biblioteki w niej. Co ciekawe, dopiero po instalacji qca-ossl , strace -e open kadu pokazuje ze wykorzystuje qca-ossl open("/usr/lib64/qt4/plugins/crypto/libqca-ossl.so", O_RDONLY|O_CLOEXEC) = Na http://www.kadu.im/redmine/issues Bartosz napsał ze qca-ossl jest wtyczką do qca/qca2. Sprawdzilem na https://apps.fedoraproject.org/packages/s/qca W pliku spec qca-ossl tez jest ujete " https://apps.fedoraproject.org/packages/qca-ossl/sources/ qca2-devel >= 2.0.0-1 Wiec zakladam ze jest to prawda, problem rozwiazany.
  9. Drazni mnie komunikat brak zainstalowanego libqca2 przez kadu. - Kompilowalem identyczny spec na pclosie (32bit) i fedorze (64bit) i tam tego nie ma bledu - Mam ten blad odkad pamietam na kazdym kadu w fedorze. (11 chyba, 12, 1.0 RC2 ) strace pokazuje ze kadu wykrywa w fedorze: open("/usr/lib64/libqca.so.2", O_RDONLY|O_CLOEXEC) = 3 open("/usr/lib64/tls/libqca.so.2", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory) open("/etc/Affinix/QCA2.conf", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory) Ma ktos jeszcze taki problem lub juz go rozwiazał ? - System 64bit fedora20, na 32 bit nie testowalem. Wtyczka qca ossl dla libqca2 jest niedostepna ! Plugin initialization_nq failed.
  10. Nieznam sie ale jak kompilowalem na 64bit, to powinien byc 64bit, Jakby ktos przetestowal wtyczki na 32bit i napisal byloby cool.
  11. Chciałem przetestować jakiś edytor WYSIWYG, padło na edytor KompoZer ( http://kompozer.net/ ) W repo nie ma, na stronie jest gotowa binarka na wszystkie linuxy , ale nie dodali libmozjs.so [gg@localhost kompozer]$ ./kompozer-bin ./kompozer-bin: error while loading shared libraries: libmozjs.so: cannot open shared object file: No such file or directory [gg@localhost kompozer]$ yum whatprovides libmozjs.so Wczytane wtyczki: langpacks, refresh-packagekit xulrunner-25.0-2.fc20.i686 : XUL Runtime for Gecko Applications Repozytorium : fedora Dopasowano z: Dostarcza : libmozjs.so Yum extender pozwala sprawdzic jakie pliki zawiera xulrunner i tu moj ból mam xulrunner-30 i tam nie ma juz tej biblioteki, zgaduję że muszę zlinkować z jakąś nową biblioteką niekonieczne o podobnej nazwie. Ale nie chce mi się testować, ani czytać dokumentacji i nie chcę by ktoś specjalnie dla mnie sprawdzał. Ale jak ktoś przypadkiem rozwiąże problem to niech napisze tu Z góry dzięki !
  12. Chciałem zrobić 1 stronkę o grach ( ewentualnie kilka zlinkowanych ze sobą ), zdecydowałem że zrobię to na gotowym już mediawiki. Ale praca z wiki to dla mnie koszmar. Zauważyłem także że miejscami jest kod który przypomina html, może xml, ludzie tym robią dziwne cuda. Dlatego w google szukałem cały dzień informacji o tym i jakiegoś edytora WYSIWYG. Na stronie mediawiki dowiedziałem się że taki edytor ułatwiający nazywa się WYSIWYG, niestety tam są tylko wtyczki do wiki. Przecież nie będę instalować wiki by skorzystać z edytora ? ( Teraz mi się przypomniało że mogłem to zrobić na XAMPP -ie ) Doczytałem także na media wiki że owe wiki obsługuje częściowo html. Jak narazie tworze dany styl tekstu np. w Compozer z przeglądarki SeaMonkey i wklejam do wiki, narazie działa, jak coś media wiki nie obsługuje to wycinam, ewentualnie także posiłkuje się formatowaniem wiki ze strony http://www.mediawiki.org/wiki/Help:Formatting/pl
  13. Tez mam x64 , ale nie polecam robić symlinków dowoli w zależści od systemu bo wysypie błędem. Aplikacja chce konkretnej biblioteki albo 32bit albo 64bit. ( Miedzy innymi dlatego w fedorze mozna instalowac pakiety 32bit i 64bit jednoczesnie ) Komenda strace to najlepiej pokaże czego aplikacja chce [gg@localhost kompozer]$ strace -e open ./kompozer-bin [ Process PID=901 runs in 32 bit mode. ] open("/etc/ld.so.cache", O_RDONLY|O_CLOEXEC) = 3 open("/lib/tls/i686/sse2/libmozjs.so", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory) open("/lib/tls/i686/libmozjs.so", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory) open("/lib/tls/sse2/libmozjs.so", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory) open("/lib/tls/libmozjs.so", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory) open("/lib/i686/sse2/libmozjs.so", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file .... open("/usr/lib/i686/libmozjs.so", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory) open("/usr/lib/sse2/libmozjs.so", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory) open("/usr/lib/libmozjs.so", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory) Faktycznie jak pisałeś mam libmozjs.so.1 bibliotekę, nie wiem skąd ale mniejsza oto. Zrobiłem symlink [root@localhost lib]# ln -s libmozjs.so.1 libmozjs.so [root@localhost lib]# ls -l libmozjs.so.1 lrwxrwxrwx. 1 root root 18 05-08 18:03 libmozjs.so.1 -> libmozjs185.so.1.0 I tak jak napisałeś aplikacja chce więcej . [gg@localhost kompozer]$ ./kompozer-bin ./kompozer-bin: error while loading shared libraries: libxpcom.so: cannot open shared object file: No such file or directory [gg@localhost kompozer]$ yum whatprovides libxpcom.so Wczytane wtyczki: langpacks, refresh-packagekit jenslody.de/20/x86_64/filelists_db | 55 kB 00:00 rpm-sphere/filelists | 4.6 MB 00:03 No matches found Skorzystałem z twojego linka w którym faktycznie była paczka rpm (był na stronie kompozera link do tego ale jej nie zauwazylem bo odruchowo ściągłem pierwszy plik ) Zainstalowałem, działa Dzięki ! Edytowane. - Widze że SeaMonkey tez ma WYSIWYG HTML editor. http://www.lvsonline.com/tut-seamonkey/index2.shtml - Nawet on-line jakiś jest http://onlinehtmltools.com/wysiwyg-editor/#sthash.XBRHA8hn.dpbs - BlueGriffon edytor WYSIWYG XHTML sa tylko starsze paczki rpm, ale 1.5.2 zainstalowała sie i działa. Zastanawiam sie czy istnieje WYSIWYG XML editor lub coś podobnego.
  14. tele

    [Rozwiązane] Chroot

    Może robie źle, może musze skopiować pliki z iso by były zapisywalne, a potem zamontować /livecd.sqfs ( po skończeniu prac może da się z tego znów zrobić iso ) ok, w wolnej chwili jeszcze się pomęcze z tym Dzięki
  15. tele

    [Rozwiązane] Chroot

    Jak sobie zamontuje obraz iso # mount pclosmate2014.iso -o loop folderiso mount: /dev/loop0 is write-protected, mounting read-only i potem zamontuje plik livecd.sqfs mount /home/gg/testing/folderiso/livecd.sqfs /home/gg/testing/linux/ -t squashfs -o loop to pliki sa tylko do read-only, a jak to zrobić zeby było zamontowane do zapisu także ? i jeszcze jedno pytanko , czy chroot tak samo się używa ? mount -o bind /proc /media/proc mount -o bind /sys /media/sys mount -o bind /dev /media/dev chroot /media /bin/bash ? Chodzi mi o składnie, bo teraz to mi działa tylko chroot /media /bin/bash i nie wiem czy sie da podmontowac proc, dev.
  16. Działa komuś Steam? Fedora 64 bit $ glxinfo name of display: :0.0 display: :0 screen: 0 direct rendering: Yes server glx vendor string: NVIDIA Corporation server glx version string: 1.4 server glx extensions: GLX_ARB_create_context, GLX_ARB_create_context_profile, GLX_ARB_create_context_robustness, GLX_ARB_fbconfig_float, GLX_ARB_multisample, GLX_EXT_buffer_age, GLX_EXT_create_context_es2_profile, GLX_EXT_create_context_es_profile, GLX_EXT_framebuffer_sRGB, GLX_EXT_swap_control, GLX_EXT_swap_control_tear, GLX_EXT_texture_from_pixmap, GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_NV_float_buffer, GLX_NV_multisample_coverage, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, GLX_SGI_swap_control, GLX_SGI_video_sync client glx vendor string: NVIDIA Corporation client glx version string: 1.4 client glx extensions: GLX_ARB_create_context, GLX_ARB_create_context_profile, GLX_ARB_create_context_robustness, GLX_ARB_fbconfig_float, GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_buffer_age, GLX_EXT_create_context_es2_profile, GLX_EXT_create_context_es_profile, GLX_EXT_fbconfig_packed_float, GLX_EXT_framebuffer_sRGB, GLX_EXT_import_context, GLX_EXT_swap_control, GLX_EXT_swap_control_tear, GLX_EXT_texture_from_pixmap, GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_NV_copy_image, GLX_NV_float_buffer, GLX_NV_multisample_coverage, GLX_NV_present_video, GLX_NV_swap_group, GLX_NV_video_capture, GLX_NV_video_out, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, GLX_SGI_swap_control, GLX_SGI_video_sync GLX version: 1.4 GLX extensions: GLX_ARB_create_context, GLX_ARB_create_context_profile, GLX_ARB_create_context_robustness, GLX_ARB_fbconfig_float, GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_buffer_age, GLX_EXT_create_context_es2_profile, GLX_EXT_create_context_es_profile, GLX_EXT_framebuffer_sRGB, GLX_EXT_swap_control, GLX_EXT_swap_control_tear, GLX_EXT_texture_from_pixmap, GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_NV_float_buffer, GLX_NV_multisample_coverage, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, GLX_SGI_swap_control, GLX_SGI_video_sync OpenGL vendor string: NVIDIA Corporation OpenGL renderer string: GeForce GTX 660/PCIe/SSE2 OpenGL core profile version string: 4.3.0 NVIDIA 331.49 OpenGL core profile shading language version string: 4.30 NVIDIA via Cg compiler OpenGL core profile context flags: (none) OpenGL core profile profile mask: core profile OpenGL core profile extensions: GL_AMD_multi_draw_indirect, GL_AMD_seamless_cubemap_per_texture, GL_ARB_ES2_compatibility, GL_ARB_ES3_compatibility, GL_ARB_arrays_of_arrays, GL_ARB_base_instance, GL_ARB_bindless_texture, GL_ARB_blend_func_extended, GL_ARB_buffer_storage, GL_ARB_clear_buffer_object, GL_ARB_clear_texture, GL_ARB_color_buffer_float, GL_ARB_compressed_texture_pixel_storage, GL_ARB_compute_shader, GL_ARB_compute_variable_group_size, GL_ARB_conservative_depth, GL_ARB_copy_buffer, GL_ARB_copy_image, GL_ARB_debug_output, GL_ARB_depth_buffer_float, GL_ARB_depth_clamp, GL_ARB_depth_texture, GL_ARB_draw_buffers, GL_ARB_draw_buffers_blend, GL_ARB_draw_elements_base_vertex, GL_ARB_draw_indirect, GL_ARB_draw_instanced, GL_ARB_enhanced_layouts, GL_ARB_explicit_attrib_location, GL_ARB_explicit_uniform_location, GL_ARB_fragment_coord_conventions, GL_ARB_fragment_layer_viewport, GL_ARB_fragment_program, GL_ARB_fragment_program_shadow, GL_ARB_fragment_shader, GL_ARB_framebuffer_no_attachments, GL_ARB_framebuffer_object, GL_ARB_framebuffer_sRGB, GL_ARB_geometry_shader4, GL_ARB_get_program_binary, GL_ARB_gpu_shader5, GL_ARB_gpu_shader_fp64, GL_ARB_half_float_pixel, GL_ARB_half_float_vertex, GL_ARB_imaging, GL_ARB_indirect_parameters, GL_ARB_instanced_arrays, GL_ARB_internalformat_query, GL_ARB_internalformat_query2, GL_ARB_invalidate_subdata, GL_ARB_map_buffer_alignment, GL_ARB_map_buffer_range, GL_ARB_multi_bind, GL_ARB_multi_draw_indirect, GL_ARB_multisample, GL_ARB_multitexture, GL_ARB_occlusion_query, GL_ARB_occlusion_query2, GL_ARB_pixel_buffer_object, GL_ARB_point_parameters, GL_ARB_point_sprite, GL_ARB_program_interface_query, GL_ARB_provoking_vertex, GL_ARB_query_buffer_object, GL_ARB_robust_buffer_access_behavior, GL_ARB_robustness, GL_ARB_sample_shading, GL_ARB_sampler_objects, GL_ARB_seamless_cube_map, GL_ARB_seamless_cubemap_per_texture, GL_ARB_separate_shader_objects, GL_ARB_shader_atomic_counters, GL_ARB_shader_bit_encoding, GL_ARB_shader_draw_parameters, GL_ARB_shader_group_vote, GL_ARB_shader_image_load_store, GL_ARB_shader_image_size, GL_ARB_shader_objects, GL_ARB_shader_precision, GL_ARB_shader_storage_buffer_object, GL_ARB_shader_subroutine, GL_ARB_shader_texture_lod, GL_ARB_shading_language_100, GL_ARB_shading_language_420pack, GL_ARB_shading_language_include, GL_ARB_shading_language_packing, GL_ARB_shadow, GL_ARB_sparse_texture, GL_ARB_stencil_texturing, GL_ARB_sync, GL_ARB_tessellation_shader, GL_ARB_texture_border_clamp, GL_ARB_texture_buffer_object, GL_ARB_texture_buffer_object_rgb32, GL_ARB_texture_buffer_range, GL_ARB_texture_compression, GL_ARB_texture_compression_bptc, GL_ARB_texture_compression_rgtc, GL_ARB_texture_cube_map, GL_ARB_texture_cube_map_array, GL_ARB_texture_env_add, GL_ARB_texture_env_combine, GL_ARB_texture_env_crossbar, GL_ARB_texture_env_dot3, GL_ARB_texture_float, GL_ARB_texture_gather, GL_ARB_texture_mirror_clamp_to_edge, GL_ARB_texture_mirrored_repeat, GL_ARB_texture_multisample, GL_ARB_texture_non_power_of_two, GL_ARB_texture_query_levels, GL_ARB_texture_query_lod, GL_ARB_texture_rectangle, GL_ARB_texture_rg, GL_ARB_texture_rgb10_a2ui, GL_ARB_texture_stencil8, GL_ARB_texture_storage, GL_ARB_texture_storage_multisample, GL_ARB_texture_swizzle, GL_ARB_texture_view, GL_ARB_timer_query, GL_ARB_transform_feedback2, GL_ARB_transform_feedback3, GL_ARB_transform_feedback_instanced, GL_ARB_transpose_matrix, GL_ARB_uniform_buffer_object, GL_ARB_vertex_array_bgra, GL_ARB_vertex_array_object, GL_ARB_vertex_attrib_64bit, GL_ARB_vertex_attrib_binding, GL_ARB_vertex_buffer_object, GL_ARB_vertex_program, GL_ARB_vertex_shader, GL_ARB_vertex_type_10f_11f_11f_rev, GL_ARB_vertex_type_2_10_10_10_rev, GL_ARB_viewport_array, GL_ARB_window_pos, GL_ATI_draw_buffers, GL_ATI_texture_float, GL_ATI_texture_mirror_once, GL_EXTX_framebuffer_mixed_formats, GL_EXT_Cg_shader, GL_EXT_abgr, GL_EXT_bgra, GL_EXT_bindable_uniform, GL_EXT_blend_color, GL_EXT_blend_equation_separate, GL_EXT_blend_func_separate, GL_EXT_blend_minmax, GL_EXT_blend_subtract, GL_EXT_compiled_vertex_array, GL_EXT_depth_bounds_test, GL_EXT_direct_state_access, GL_EXT_draw_buffers2, GL_EXT_draw_instanced, GL_EXT_draw_range_elements, GL_EXT_fog_coord, GL_EXT_framebuffer_blit, GL_EXT_framebuffer_multisample, GL_EXT_framebuffer_multisample_blit_scaled, GL_EXT_framebuffer_object, GL_EXT_framebuffer_sRGB, GL_EXT_geometry_shader4, GL_EXT_gpu_program_parameters, GL_EXT_gpu_shader4, GL_EXT_import_sync_object, GL_EXT_multi_draw_arrays, GL_EXT_packed_depth_stencil, GL_EXT_packed_float, GL_EXT_packed_pixels, GL_EXT_pixel_buffer_object, GL_EXT_point_parameters, GL_EXT_provoking_vertex, GL_EXT_rescale_normal, GL_EXT_secondary_color, GL_EXT_separate_shader_objects, GL_EXT_separate_specular_color, GL_EXT_shader_image_load_store, GL_EXT_shadow_funcs, GL_EXT_stencil_two_side, GL_EXT_stencil_wrap, GL_EXT_texture3D, GL_EXT_texture_array, GL_EXT_texture_buffer_object, GL_EXT_texture_compression_dxt1, GL_EXT_texture_compression_latc, GL_EXT_texture_compression_rgtc, GL_EXT_texture_compression_s3tc, GL_EXT_texture_cube_map, GL_EXT_texture_edge_clamp, GL_EXT_texture_env_add, GL_EXT_texture_env_combine, GL_EXT_texture_env_dot3, GL_EXT_texture_filter_anisotropic, GL_EXT_texture_integer, GL_EXT_texture_lod, GL_EXT_texture_lod_bias, GL_EXT_texture_mirror_clamp, GL_EXT_texture_object, GL_EXT_texture_sRGB, GL_EXT_texture_sRGB_decode, GL_EXT_texture_shared_exponent, GL_EXT_texture_storage, GL_EXT_texture_swizzle, GL_EXT_timer_query, GL_EXT_transform_feedback2, GL_EXT_vertex_array, GL_EXT_vertex_array_bgra, GL_EXT_vertex_attrib_64bit, GL_EXT_x11_sync_object, GL_IBM_rasterpos_clip, GL_IBM_texture_mirrored_repeat, GL_KHR_debug, GL_KTX_buffer_region, GL_NVX_conditional_render, GL_NVX_gpu_memory_info, GL_NVX_nvenc_interop, GL_NV_ES1_1_compatibility, GL_NV_bindless_multi_draw_indirect, GL_NV_bindless_texture, GL_NV_blend_equation_advanced, GL_NV_blend_square, GL_NV_compute_program5, GL_NV_conditional_render, GL_NV_copy_depth_to_color, GL_NV_copy_image, GL_NV_depth_buffer_float, GL_NV_depth_clamp, GL_NV_draw_texture, GL_NV_explicit_multisample, GL_NV_fence, GL_NV_float_buffer, GL_NV_fog_distance, GL_NV_fragment_program, GL_NV_fragment_program2, GL_NV_fragment_program_option, GL_NV_framebuffer_multisample_coverage, GL_NV_geometry_shader4, GL_NV_gpu_program4, GL_NV_gpu_program4_1, GL_NV_gpu_program5, GL_NV_gpu_program5_mem_extended, GL_NV_gpu_program_fp64, GL_NV_gpu_shader5, GL_NV_half_float, GL_NV_light_max_exponent, GL_NV_multisample_coverage, GL_NV_multisample_filter_hint, GL_NV_occlusion_query, GL_NV_packed_depth_stencil, GL_NV_parameter_buffer_object, GL_NV_parameter_buffer_object2, GL_NV_path_rendering, GL_NV_pixel_data_range, GL_NV_point_sprite, GL_NV_primitive_restart, GL_NV_register_combiners, GL_NV_register_combiners2, GL_NV_shader_atomic_counters, GL_NV_shader_atomic_float, GL_NV_shader_buffer_load, GL_NV_shader_storage_buffer_object, GL_NV_texgen_reflection, GL_NV_texture_barrier, GL_NV_texture_compression_vtc, GL_NV_texture_env_combine4, GL_NV_texture_expand_normal, GL_NV_texture_multisample, GL_NV_texture_rectangle, GL_NV_texture_shader, GL_NV_texture_shader2, GL_NV_texture_shader3, GL_NV_transform_feedback, GL_NV_transform_feedback2, GL_NV_vdpau_interop, GL_NV_vertex_array_range, GL_NV_vertex_array_range2, GL_NV_vertex_attrib_integer_64bit, GL_NV_vertex_buffer_unified_memory, GL_NV_vertex_program, GL_NV_vertex_program1_1, GL_NV_vertex_program2, GL_NV_vertex_program2_option, GL_NV_vertex_program3, GL_S3_s3tc, GL_SGIS_generate_mipmap, GL_SGIS_texture_lod, GL_SGIX_depth_texture, GL_SGIX_shadow, GL_SUN_slice_accum ... $ rpm -qa kernel kernel-3.11.10-301.fc20.x86_64 kernel-3.13.5-202.fc20.x86_64 kernel-3.13.6-200.fc20.x86_64 o ile w przypadku slowa kernel zadzialało rpm -qa to w przypadku nvidia nic nie pokazuje , a mam. $ uname -a Linux localhost.home 3.13.6-200.fc20.x86_64 #1 SMP Fri Mar 7 17:02:28 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux Minetest i Xonotic graficznie działają Takze ze steame blad, tym razem przy uruchamianiu gry: Could not find required OpenGL entry point 'glColorMaskIndexedEXT' ! Either yoour video card is unsupported, or your OpenGL driver needs to be updated. Testowalem to "Jak zainstalować sterowniki do karty graficznej?" http://wiki.fedora.pl/wiki/Poradnik_F20_%28Heisenbug%29 Instalowałem tez z ruskiego repo, w kazdym narazie na tą chwilę mam 3.13.6-200.fc20.x86_64 331.49.1.fc20.5 Juz nie mam zielonego pojecia czemu mi gra L4F2 na Steam nie działa. Podejzewam - może był update Steam w ciągu około miesiąca i coś popsuło ? - może ktoś nie nie dodał zależności przy kompilowaniu dla fedory ? - może to problem 64bit fedory ? (steam co widze jest 32 bitowy) - może sterowniki nvidia są na starsze kernele i nie działają z nowymi ? ( na 3.9 powinno jeszcze działac, ale jesli bylby problem z nowszymi to bym się nie zdziwił ) - może nie mam zainstalowane OpenGL ? (instalowałem co popadło, już nie wiem co jeszcze)
  17. Dzięki! Subaru nie próbowałeś się nauczyć robić plik spec do zbudowania paczek rpm ? Chciałbyś spróbować ? Edytowane: Dobrze ze dziury jeszcze w dysku mi nie wypalilo.... - mianowicie metoda prob i bledow probowalem sie pozbyc bledu rpath , wczesniej robilem jakos QA_RPATHS=$[ 0x0001|0x0010 ] rpmbuild my-package.src.rpm ale teraz mi to jakos nie dziala - sama kompilacja przebiegla raczej prawidlowo i instaluje sie tez - problem jest tylko przy budowaniu paczki, w koncu na stronie ubuntu w opisie zmian znalazlem ze oni dodali u siebie opcje -DCMAKE_SKIP_RPATH=True do cmake, sprawdzilem i na Fedorze to dziala. %define name kadu %define version 1.3 Summary: A Gadu-Gadu and XMPP protocol instant messenger client Summary(de): Ein Gadu-Gadu- und XMPP-Protokoll Sofortnachrichtenklient Summary(pl): Nowoczesny komunikator obsługujący sieci Gadu-Gadu i XMPP Name: %{name} Version: %{version} #for pclos Release: mkrel 1 Release: 1 License: GPLv2+ #Group: Networking/Instant messaging Group: Applications/Internet URL: http://www.kadu.net Source0: %{name}-%{version}.tar.bz2 #BuildArch: x86_64 #Obsoletes: %{name}-dev < %version Provides: %{name} #BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot BuildRequires: cmake >= 2.8.12.1 BuildRequires: desktop-file-utils >= 0.22 #for pclos BuildRequires: {_lib}alsa2-devel >= BuildRequires: alsa-lib-devel >= 1.0.27.2 #for pclos BuildRequires: {_lib}enchant-devel BuildRequires: enchant-devel >= 1.6.0 #for pclos BuildRequires: {_lib}gadu-devel BuildRequires: libgadu-devel >= 1.12.0 #for pclos BuildRequires: {_lib}gsm-devel BuildRequires: gsm-devel >= 1.0.13 #for pclos BuildRequires: {_lib}idn-devel BuildRequires: libidn-devel >= 1.28 #for pclos BuildRequires: {_lib}mpdclient-devel BuildRequires: libmpdclient-devel >= 2.7 #for pclos BuildRequires: {_lib}openssl-devel BuildRequires: openssl-devel #for pclos BuildRequires: {_lib}png-devel BuildRequires: libpng-devel >= 1.6.6 #for pclos BuildRequires: {_lib}pulseaudio-devel BuildRequires: pulseaudio-libs-devel #for pclos BuildRequires: {_lib}qt4-devel >= 4.8.0 BuildRequires: qt-devel >= 4.8.6 #for pclos BuildRequires: {_lib}qca2-devel BuildRequires: qca2-devel >= 2.0.3 #for pclos BuildRequires: {_lib}sndfile-devel BuildRequires: libsndfile-devel >= 1.0.25 #for pclos BuildRequires: {_lib}x11-devel BuildRequires: libX11-devel >= 1.6.1 #for pclos BuildRequires: {_lib}xext-devel BuildRequires: libXext-devel >= 1.3.2 #for pclos BuildRequires: {_lib}xfixes-devel BuildRequires: libXfixes-devel >= 5.0.1 #for pclos BuildRequires: {_lib}zlib-devel BuildRequires: zlib-devel >= 1.2.8 BuildRequires: phonon-devel >= 4.7.1 #for pclos BuildRequires: x11-proto-devel BuildRequires: xorg-x11-proto-devel >= 7.7 #for pclos BuildRequires: libindicate-qt-devel BuildRequires: aspell-devel >= 0.60.6.1 BuildRequires: qtwebkit-devel >= 2.3.3 BuildRequires: sqlite-devel >= 3.8.4.3 Requires: glibc >= 2.16 #for pclos Requires: libstdc++6 >= 4.7.2 Requires: libstdc++ >= 4.8.2 #for pclos Requires: %{_lib}xscrnsaver1 Requires: libXScrnSaver >= 1.2.2 Requires: qca2 >= 2.0.3 #for pclos Requires: qt4-database-plugin-sqlite #for pclos Requires: task-qt4 >= 4.8.0 Requires: qt5-qtbase >= 5.2.1 # lib archive need be installed but something not detect rpmbuild #BuildRequires: libarchive-devel <= 2.6.0 %description Kadu is a Polish instant messenger using the Gadu-Gadu and XMPP (since 0.6.6 version) protocol. Kadu is a free software, open-source software and does not contain advertisements (as opposed to the official Gadu-Gadu client, which is closed-source and adware). %description -l de.UTF-8 Kadu ist ein polnischer Sofortnachrichtenklient, der das Gadu-Gadu und XMPP (seit Version 0.6.6) Protokoll benutzt. Kadu ist freie Software, OpenSource Software und enthält keine Werbung (wie es beim offiziellen Gadu-Gadu-Klient der Fall ist). %description -l pl.UTF-8 Kadu to jeden z najpopularniejszych klientów sieci Gadu-Gadu dla systemu Linux. Od wersji 0.6.6 wspiera protokół XMPP. Jest to w pełni funkcjonalny komunikator obsługujący konferencje, animowane emotikony, powiadomienia dźwiękowe, przesyłanie plików oraz szyfrowanie rozmów przy użyciu OpenSSL, a dodatkowo nie wyświetla żadnych reklam. Został wykonany w oparciu o bibliotekę Qt4. #----------------------------------------------------------------------------------- #%package -n %{name}-devel #Summary: Development files for Kadu #Summary(de): Entwicklungsdateien für Kadu #Summary(pl): Pliki nagłówkowe dla Kadu #Group: Networking/Instant messaging #Requires: %name #%description -n %{name}-devel #Development files for Kadu #%description -n %{name}-devel -l de.UTF-8 #Entwicklungsdateien für Kadu #%description -n %{name}-devel -l pl.UTF-8 #Pliki nagłówkowe dla Kadu #------------------------------------------ %prep #-D - nie usuwaj katalogu przed rozpakowanie #-q - tryb cichy #-n - paczka z źródłem nazywa się ianczej niż rpm # setup -q -n kadu-%{ver} %setup -q -n kadu-%{version} %setup -q -T -D # patch1 -p1 # patch2 -p1 %build mkdir build cd build # -DCMAKE_SKIP_RPATH=True --> Don't check RPATH %{cmake} -DCMAKE_SKIP_RPATH=True -DCMAKE_USE_PTHREADS:BOOL=ON -DBUILD_DESCRIPTION="Fedora" .. make -k VERBOSE=1 %{?_smp_mflags} %install rm -rf $RPM_BUILD_ROOT cd build make install DESTDIR=$RPM_BUILD_ROOT %post %{update_menus} %{update_desktop_database} %update_icon_cache hicolor %postun %{clean_menus} %{clean_desktop_database} %clean_icon_cache hicolor %clean #[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} rm -rf $RPM_BUILD_ROOT %files %defattr(-,root,root) ...
  18. Podczas kompilacji mi wyskoczyło coś takiego To znaczy ze nowe kadu ma architektórę " noarch " ? Chciałem się upewnić bo generalnie z " QA_RPATHS=$[ 0x0001|0x0010 ] rpmbuild my-package.src.rpm " sie kompiluje bez problemu.
  19. Sprawdzając na stronie Nvidii najnowszy wspierany na Geforce410 na 32bit to x86-331.79 Jednocześnie jest to najnowszy jaki może być ( nie liczac sterowników BETA)
  20. tele

    Problemy Z Kadu

    Dziękuję
  21. tele

    Problemy Z Kadu

    @ odswieżam Chciałem przetestować ale mam problem z pobraniem jakiegoś klucza. Downloading packages: ostrzeżenie: /var/cache/yum/x86_64/20/fedora-gospogied/packages/kadu-falf_mediaplayer-1.0.rc1-2.fc20.x86_64.rpm: Nagłówek V4 RSA/SHA1 Signature, identyfikator klucza 7e27509d: NOKEY Pobranie klucza GPG się nie powiodło: [Errno 14] curl#37 - "Couldn't open file /etc/pki/rpm-gpg/GOSPOGIED-GPG-KEY.public" PS: Jak używać wklejanie kodu na tej stronie? Bo jedyne co widze po wklejeniu kodu to nr. lini 1.
  22. Edytowane: Sęk w tym, że nowy instalator nie jest zbyt łatwy dla przeciętnego kowalskiego, powiedziałbym nawet że oczopląsu można dostać , bo niektóre opcje są na samej górze, a inne na samym dole. Związku z tym jeśli ktoś dysponuje dużą ilością czasu prosiłbym o sprawdzenie i zrobienie takiego filmiku i puszczenie na youtube, ponieważ wiekszosc poradników, w tym filmiki na youtube pokazują instalację w której wybierają automatyczną konfigurację. A jest jeszcze opcja " „Przejrzenie/modyfikacja partycji dysku przed kontynuowaniem”. " W virtualbox doszlem do momentu : Install to Hard Drive --> Wybieramy język --> klikam Cel instalacji --> zaznaczam dysk --> klikam Gotowe --> --> Partycjonowanie uzytkownika No i faktycznie troche kicha z tym... , Wyżej WalDo napisał żeby skorzystać z gparted i jak zainstalować To bardzo dobry pomysł z tym gparted. --> W górnym lewym rogu klikam "Activities " --> W okienku wyszukiwarki na górze wpisuje słowo terminal --> klikam niżej znaleziony program terminal by uruchomić --> Wpisuje to co WalDo wyżej napisał by zainstalować gparted --> uruchamiamy gparted z terminala lub z jak wczesniej wpisujac w wyszukiwarkę --> robimy co konieczne ( zwróć uwagę na nazwę partycji gdzie będziesz instalował fedore ! ) --> zamykamy gparted, terminal i wracamy do instalatora --> no teraz żeby zmiany były widoczne trzeba instalator zresteować, klikam Activities --> zamykam okienka Anakonda od prawej do lewej --> Jesli przycisk Activities jest nadal wcisniety, to po lewej stronie bedą widoczne ikonki, na samym dole powinna być ikonka " install to hard drive " i klikam to ( mozna tez instalator uruchomic wpisujac z pod root " anaconda " aczkolwiek nie wiem czy to prawidlowa komenda, bo wyskakuje ostrzezenie ze instalator jest testowy) Ciekawy komunikat --> Znowu wybieram język, itd. przechodzę do " partycjonowanie użytkownika " --> Po lewej stronie w okienku rozwijam " Nieznane " i tam jest moja partycja (w moim przypadku sda3 ) klikam ją i po prawej ... Punkt montowania: (tutaj wpisuję " / " ) (A jak się nie da to najpierw zaznacz "Sformatuj ponownie" ) --> Zaznaczasz "Sformatuj ponownie" --> klikam ciut nizej "Zaktualizuj ustawienia" Powinno w okienku po lewej na górze pojawić się "Nowa instalacja systemu Fedora 20" --> klikam w górnym lewym rogu "Gotowe" --> klikam " Zaakceptuj zmiany " --> No i powinieneś iść dalej "Rozpocznij instalację" czy coś w tym rodzaju, tyle że u mnie nie pójdzie dalej bo przy " Cel instalacji" pisze mi na czerwono : "Bład podczas sprawdzan...przechowywania danych" - i nie wiem co jest żle... może to tylko błąd na virtualboxie, moze partycja 8GB to za mało nie wiem. W każdym razie powodzenia, może się uda ! A na pewno jest to możliwe bo ja mam Fedorę na drugiej partycji (MBR, a na virtualboxie miałem GPT). PS: Może nawet nie trzeba resetować instalatora po zmianie partycji w gparted, w " Partycjonowanie uzytkownika " po lewej w okienku jest opcja/ikonka odśwież.
  23. Dziękuje ! Jeszcze sobię przykleje odnośnie skrótów / makr tabele bo nie lubie ich rozszyfrowywać przy wypisywaniu i czytaniu w sekcji %files ścieżek. 1. https://www.zarb.org/~jasonc/macros.php ( uwaga: firefox będzie ostrzegał o zagrożeniu , jeżeli ktoś ma obawy może stronę przeskanować skanerem ) przykladowe skanery : https://www.virustotal.com/pl/ http://sitecheck.sucuri.net/ ( ten mówi że strona przestarzała i może dlatego firefox ostrzega ) 2. http://fedoraproject.org/wiki/Packaging:RPMMacros
  24. Potrzebowałbym pomocy znaleść linki do repozytoriów z SRPMS/ czyli pakietami .src.rpm zależało by mi bo chciałem podejżeć - czy identyczne są pliki spec dla 32bit i 64bit ? - czy w celu przejścia na oba systemy zastosowano makro %{_lib} które przekierowuje biblioteki do odpowiedniego katalogu ? Do nauki skorzystałem z http://wiki.fedora.pl/wiki/Rpmbuild jeszcze tylko kilka przykładów potrzebuję. Edytowane, ok znalazłem http://download1.rpmfusion.org/free/fedora/updates/20/SRPMS/ Edytowane: A mogę jeszcze poprosić o jakieś wskazówki ułatwiające tworzenie paczek? np. czy jest jakiś skrypt / polecenie które zainstaluje zależności wypisane w pliku spec?
×